Skip to main content
POST
/
v2
/
queues
/
{queue_id}
/
cases
/
bulk-delegate
Bulk Delegate Cases
curl --request POST \
  --url https://api.duvo.ai/v2/queues/{queue_id}/cases/bulk-delegate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "case_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "delegatedCount": 123,
  "skippedCount": 123
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

queue_id
string<uuid>
required

The queue's unique identifier

Body

application/json
case_ids
string<uuid>[]
required

Case IDs to delegate (1-100).

Required array length: 1 - 100 elements
agent_id
string<uuid>
required

The agent that should run on the selected cases. Must be a consumer of this queue.

Response

Default Response

delegatedCount
number
required
skippedCount
number
required